<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <script>
        var numeroRandom
        var numerosRandom = []
        var aciertos = 0;
        var contador = 0;
        var porciento = 0;
        window.onload = function(){
            var xhr = new XMLHttpRequest();
            xhr.onreadystatechange = function(){
                if(xhr.readyState == 4 && xhr.status == 200){
                    try{
                        json = JSON.parse(xhr.responseText)
                        CreaBotones(json)
                        numeroRandom = Math.floor(Math.random() * (json.length - 1));
                        document.getElementById('definicion').innerHTML = json[numeroRandom].definicion;
                        numerosRandom.push(numeroRandom)
                        contador++;
                    }catch{
                        console.log('error');
                    }
                }
            }
            xhr.open("GET", "HTML5/etiquetas_html5.json", true);
            xhr.send();
        }

        function CreaBotones(json){
            var arrayPrueba = [];
            for (var i = 0; i < json.length; i++){
			    arrayPrueba.push(json[i].etiqueta);
            }
            arrayPrueba.sort();
            for (var i = 0; i < arrayPrueba.length; i++){
			    //Creamos el boton
			    var boton = document.createElement("button");
			    //Añadirle un id
			    boton.className = "boton";
			    boton.id = 'boton' + i;
			    //Le damos un valor al boton
                boton.innerHTML = '&lt;' + arrayPrueba[i] + '&gt;';
                boton.value = arrayPrueba[i];
			    boton.addEventListener('click', ComprobarRespuesta, false);
			    //Lo añadimos al elemento con id = "Botones"
			    document.getElementById('botones').appendChild(boton);
		    }
        }

        function ComprobarRespuesta(){
            if(this.value == json[numeroRandom].etiqueta){
                document.getElementById(this.id).style.color = 'green';
                aciertos++;
                porciento = (aciertos / contador) * 100;
                document.getElementById('ac').innerHTML = 'Aciertos: ' + aciertos + ' --> ' + porciento + '%'; 
            }
            else{
                document.getElementById(this.id).style.color = 'red';
                porciento = (aciertos / contador) * 100;
                document.getElementById('ac').innerHTML = 'Aciertos: ' + aciertos + ' --> ' + porciento + '%'; 
            }

            if(numerosRandom.length == json.length){
                alert('Has terminado')
            }
            else{
                do{
                    numeroRandom = Math.floor(Math.random() * (json.length - 1));
                }while(numerosRandom.includes(numeroRandom))
                document.getElementById('definicion').innerHTML = json[numeroRandom].definicion;
                numerosRandom.push(numeroRandom)
                contador++;
            }
           
        }
    </script>
    <title>Document</title>
</head>
<body>
    <div id="botones"></div>
    <h3 id="definicion"></h3>
    <p id="ac"></p>
    
</body>
</html>